Subject: RE: bug#7700: 24.0.50; C-y binding withing Isearch mode

From: "Drew Adams" <[email-masked]>
Date: Thu, 23 Dec 2010 12:46:16 -0800

sm>>> FWIW, I'd agree.  I've always found the C-y binding in isearch
sm>>> "useless" and counter-intuitive.  I'd much rather make C-y and M-y
sm>>> behave like they do in the minibuffer.
> 
> What do they do in the minibuffer?  C-h c doesn't seem to work in the
> minibuffer (as it doesn't in isearch also).

da>> Although I haven't used `C-y' in isearch in a long time, 
da>> I'm not sure its behavior is "useless".  It would probably
da>> be good to have some isearch key binding for what C-y does now.
> How about M-y?

To both questions you raise above: C-y and M-y in the minibuffer are the same as
they are in any buffer: C-y yanks the last kill and M-y replaces the text just
yanked with a previous kill.

da>> One possibility might be `C-u C-y' (since the C-u behavior 
da>> for C-y doesn't apply during isearch), but that would mean
da>> sacrificing C-u's ability to exit isearch.
da>> Worse, C-u is currently passed to any exiting key (e.g. 
da>> `C-u C-n'), which can be handy.
> 
> C-u C-y is too cumbersome for a key sequence you're likely to want to
> repeat.

I was thinking that only one C-u would be needed to then let C-y do what it does
now.  IOW, C-u C-y C-y... to repeat.

But I suspect that proposing C-u for this is a non-starter.  I expect that there
will be significant attachment to the use of C-u to both exit isearch and be
passed along to the following command/key as prefix arg.

da>> Personally, I wouldn't mind sacrificing `C-u' for this - I 
da>> think there are plenty of keys to exit a search.  But I know
da>> that others do object to losing any exit keys, and `C-u' is
da>> also a special case wrt exiting.
> 
> C-u is potentially useable by an isearch command (including a
> "scrolling" command) to enter a repeat count.  When
> `isearch-allow-scroll' is enabled, C-u C-l is a useful key
> sequence - for example.  Let's not lose this facility.

OK by me.  I completely forgot about such scrolling.